﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT DSO/DSA9xxx4A (1 yr) Time Scale VER VISA /LO
DATE:                  2011-02-18 09:58:13
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       113
CONFIGURATION:         Datron 9500
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        Agilent 90000 Series Infiniium Oscilloscopes:
#          DSO/DSA90254A, DSO/DSA90404A, DSO/DSA90604A,
#          DSO/DSA90804A, DSO/DSA91204A, DSO/DSA91304A
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Agilent Infiniium Channel Selection VISA
#        Sub Output Off /LO
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Agilent Infiniium Channel Selection VISA

  1.002  RSLT         =
  1.003  HEAD         {TIME SCALE ACCURACY}

# Retreive the UUT's last Time Scale Calibration date for calculating spec.
# Example response: 24 JUN 2009 10:56:11,24 JUN 2009 10:56:11
  1.004  VISA         CAL:DATE?[I$]

# Parse the Time Scale Accuracy calibration date.
  1.005  MATH         MEM2 = FLD(MEM2, 2, ",")

# Parse Date and Time from the UUT Response; record the Date to results.
  1.006  MATH         UUT_Date =            FLD(MEM2, 1, " ") & " "
  1.007  MATH         UUT_Date = UUT_Date & FLD(MEM2, 2, " ") & " "
  1.008  MATH         UUT_Date = UUT_Date & FLD(MEM2, 3, " ")
  1.009  MATH         UUT_Time =            FLD(MEM2, 4, " ")
  1.010  RSLT         =(Last time base calibration: [V UUT_Date])

# Convert dates and times to seconds.
  1.011  MATH         UUT_Age = ULDATE(UUT_Date) + CTIME(UUT_Time)
  1.012  MATH         Today   = UTIME()
  1.013  MATH         Delta   = Today - UUT_Age

# Convert seconds to years using the number of seconds in a standard SI year.
  1.014  MATH         Years = Delta / 31556925.9747

# Calculate and format the specification (in ppm peak).
  1.015  MATH         L[1] = FMT(0.4 + 0.5 * Years, "%4.2f")

  1.016  TARGET       -p
# Write the following message to the UUT display.
  1.017  VISA         DISP:TEXT BLANK;COL 0;ROW 1
  1.018  VISA         DISP:LINE "NOTE: An unstable display is normal during
  1.018  VISA         [32]the Time Scale Accuracy performance verification."

  1.019  VISA         CHAN[V @Chan]:SCAL 100E-3;:TIM:SCAL 20E-3
  1.020  VISA         ACQ:SRATE 100E+3
  1.021  VISA         MEAS:THR:ABS ALL,0,0,0;HYST ALL,0.02,0.02,0.02
  1.022  MATH         @LO_Freq = "10.000020MHz"; Ampl = 0.600; MEM = Ampl

# Adjust the applied amplitude (in dBm) for 600 mVpp UUT display.
  1.023  DO
  1.024  MATH         Ampl = Ampl + (0.6 - MEM) / 2
  1.025  MATH         @LO_Ampl = VTODBM(Ampl / SQRT(8), 50) & "dBm"
  1.026  CALL         Sub Apply /LO
  1.027  VISA         [D1000]MEAS:VPP? CHAN[V @Chan][I]
  1.028  UNTIL        (MEM >= 0.595) && (MEM <= 0.605) || (MEM >= 0.800)

  1.029  TSET         TDESC = Deviation from Nominal
  1.030  TARGET       -m
  1.031  VISA         CDISPLAY;:RUN
  1.032  WAIT         -t 10 Accumulating acquisitions, please wait...
  1.033  VISA         STOP;:MEAS:FREQ? CHAN[V @Chan][I]

# Convert the average frequency value to time scale error.
  1.034  MATH         MEM = (MEM - 20) / 10

# The total measurement uncertainty is 0.1 ppm.  It is the sum of 0.01 ppm
# for the LO frequency accuracy, 0.04 ppm for the voltage noise and phase
# noise of the UUT's digitized waveforms, and 0.05 ppm for the residual
# settling time of the crystal oscillator after the specified warm-up time.
  1.035  ACC          0.00ppm        0.1U
  1.036  MEMCX        0.00ppm        L1U

  2.001  CALL         Sub Output Off /LO
  2.002  9500         *                                                 S
  2.003  VISA         *RST
  2.004  HEAD         -2
  2.005  HEAD
  2.006  END

